# Uses of Class
java.security.KeyStore

Packages that use KeyStore
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
javax.net.ssl
Provides classes for the secure socket package.

- ## Uses of KeyStore in java.security

  Methods in java.security that return KeyStore
  Modifier and Type
  Method
  Description
  `static final KeyStore`
  KeyStore.`getInstance(File file, char[] password)`
  Returns a loaded keystore object of the appropriate keystore type.
  `static final KeyStore`
  KeyStore.`getInstance(File file, KeyStore.LoadStoreParameter param)`
  Returns a loaded keystore object of the appropriate keystore type.
  `static KeyStore`
  KeyStore.`getInstance(String type)`
  Returns a `KeyStore` object of the specified type.
  `static KeyStore`
  KeyStore.`getInstance(String type, String provider)`
  Returns a `KeyStore` object of the specified type.
  `static KeyStore`
  KeyStore.`getInstance(String type, Provider provider)`
  Returns a `KeyStore` object of the specified type.
  `abstract KeyStore`
  KeyStore.Builder.`getKeyStore()`
  Returns the `KeyStore` described by this object.
  Methods in java.security with parameters of type KeyStore
  Modifier and Type
  Method
  Description
  `static KeyStore.Builder`
  KeyStore.Builder.`newInstance(KeyStore keyStore, KeyStore.ProtectionParameter protectionParameter)`
  Returns a new `Builder` that encapsulates the given `KeyStore`.

- ## Uses of KeyStore in java.security.cert

  Constructors in java.security.cert with parameters of type KeyStore
  Modifier
  Constructor
  Description
  ``
  `PKIXBuilderParameters(KeyStore keystore, CertSelector targetConstraints)`
  Creates an instance of `PKIXBuilderParameters` that populates the set of most-trusted CAs from the trusted certificate entries contained in the specified `KeyStore`.
  ``
  `PKIXParameters(KeyStore keystore)`
  Creates an instance of `PKIXParameters` that populates the set of most-trusted CAs from the trusted certificate entries contained in the specified `KeyStore`.

- ## Uses of KeyStore in javax.net.ssl

  Methods in javax.net.ssl with parameters of type KeyStore
  Modifier and Type
  Method
  Description
  `protected abstract void`
  KeyManagerFactorySpi.`engineInit(KeyStore ks, char[] password)`
  Initializes this factory with a source of key material.
  `protected abstract void`
  TrustManagerFactorySpi.`engineInit(KeyStore ks)`
  Initializes this factory with a source of certificate authorities and related trust material.
  `final void`
  KeyManagerFactory.`init(KeyStore ks, char[] password)`
  Initializes this factory with a source of key material.
  `final void`
  TrustManagerFactory.`init(KeyStore ks)`
  Initializes this factory with a source of certificate authorities and related trust material.